/* Importera style för formulär */
@import url(forms.css);

/* ---- följande google-fonter kan användas i t.ex klasser som nedan
tack vare import av typsnittet via @importurl'en  ----- */
@import url(http://fonts.googleapis.com/css?family=Tangerine);
@import url(http://fonts.googleapis.com/css?family=Permanent+Marker);
@import url(http://fonts.googleapis.com/css?family=UnifrakturCook:bold);

.font1{font-family:Tangerine,serif;font-size:48px;}
.font2{font-family:Permanent Marker,serif;font-size:24px;}
.font3{font-family:UnifrakturCook,serif;font-size: 48px;}
/*-------  SLUT google-fonter --------- */

html	{
	background: #ADDAFF;
	margin:0;
	padding:0;
	overflow-y:scroll;} /* Always display the scrollbar, avoid flipping pages */
	/* Common margin & padding for all browsers */

html	 {
      		
		} 

/* html5 elements  ------*/
header,footer,nav,article,section,
aside,figure,figcaption{display:block;}
/* Slut html5 elements  ------*/

body {
    margin: 0px auto;
    padding:0;
  }
  
/* highlight current choice in navigation menu ---*/
body#index 	a#index-,
body#sida1 	a#sida1-,
body#test 	a#test-,
body#linedance 	a#linedance-,
body#lankar 	a#lankar-,
body#bilder 	a#bilder-,
body#bandvagn 	a#bandvagn-,
body#style 	a#style-,
body#source 	a#source- 
{
background:#ffcc00; border:2px solid #656565;
}
/* SLUT highlight current choice in navmenu ---*/

/* header---- */

div#top {}

/* navigation menu  -----*/
nav.navmenu {
    display: block;
    padding: 0.2em 1em 0 1em;
    background: #cc3333;
    border-bottom: 2px solid #ff9900;
}
nav.navmenu a {
    padding: 0.3em 1em 0 1em;
    color: #000000;
    font-family: verdana, Geneva, sans-serif;
    font-weight: bold;
    text-decoration:none;
}
nav.navmenu a:link    { }
nav.navmenu a:visited { }
nav.navmenu a:hover   { color: #111111; background: #ffcc33; }
nav.navmenu a:active  { }
/* SLUT navigation menu  -----*/

/*--- navigation menu ---  navmenu, related links & login */
nav.navmenu {
  font-family: arial;
  font-weight: bold;
  padding: 2px 8px;
  background:#656565;
  border:2px solid #858585;
}
nav.navmenu a {padding:6px 8px;text-decoration:none;border:2px solid transparent;color:#fff;}
nav.navmenu a:hover {background:#858585;border:2px solid #656565;}

nav.related,
nav.login {padding: 0.2em 1em 0.3em 1em;font-size:smaller;color:#666;}

nav.login {float:right;}
/*--- SLUT navigation menu related, login --*/

/* SLUT header---- */

/* navigation menu for vertical menus ---*/
nav.vmenu ul,
nav.vmenu ul ul {list-style:none;padding:0;margin:0;} 
nav.vmenu ul ul li a {display:list-item;padding:2px 0 2px 0;}
nav.vmenu ul ul li a:hover {background-color:#E6E6E6;}

/* use custom image for list marker, cross-browser solution (?) */
nav.vmenu ul ul li a {
background-image: url(../img/favicon_dbwebb.png);
background-repeat: no-repeat;
background-position: 4px 4px;
padding-left: 22px; 
}
ul#kmom02-pagestyle       li#pagestyle       > a,
ul#kmom03-get             li#get             > a,
ul#kmom03-getform         li#getform         > a,
ul#kmom03-postform        li#postform        > a,
ul#kmom03-validate        li#validate        > a,
ul#kmom03-server          li#server          > a,
ul#kmom03-sessiondestroy  li#sessiondestroy  > a,
ul#kmom03-sessionchange   li#sessionchange   > a,
ul#kmom03-session         li#session         > a,
ul#kmom03-create-password li#create-password > a
{background-color:#E6E6E6;} 
/* ---   SLUT vertical menu  ---*/


div#wrapper {
	 margin: 12px auto;
	 width: 1000px;
	 padding: 8px;
	 background: #ffffcc;
	 border: 1px solid #000000;
	 font-family: Georgia, serif;
	 color: #333333;
	-moz-box-shadow: 10px 10px 5px #666;
	-webkit-box-shadow: 10px 10px 5px #666;
 	box-shadow: 10px 10px 5px #666;
 	
 	-webkit-border-radius: 10px;
 	-moz-border-radius: 10px;
 	border-radius: 10px;
}
div#content { border: 2px dashed #000;
	   /*clear: both;*/
}
/*  Kolumner */
div#col-left {
 float:left;
  padding: 4px;
 width:19%;
 background:#A7BFAA;
}

div#col-right {
 float:right;
  padding: 4px;
 width:19%;
 background:#A7BFAA;
}

div#col-main {
 float:left;
 padding: 4px;
 width:59%;
 background:#DFFFE3;
 overflow:auto;
}
/*  SLUT Kolumner */

h1 {
    /*text-transform: uppercase;*/
    border-bottom: 4px double #333333;
}




/* figure & figcaption  -----*/
figure {border:0px solid #E6E6E6;padding:4px;margin:1em;}
figcaption {font-style:italic;font-size:smaller;padding:1em 0em;}
figure.right{margin-right:0;}
figure.top{margin-top:0;}
figure.fullwidth{margin-left:0;margin-right:0;}
/* SLUT figure & figcaption  -----*/

/*  Footer  ---*/
div#footer a {
    font: italic 0.8em Arial, Helvetica, sans-serif;
    text-decoration:none;
    color: #999999;
	}
div#footer a:link    { }
div#footer a:visited { }
div#footer a:hover   {
	text-decoration:underline;  
	color: #333333; 
	}
div#footer a:active  { }

footer.byline {
        clear: both;
	border-top: 1px dashed #999999;
	margin-top:2em;
	padding: 1em;
	color: #555555;
	font-size: smaller;
	font-style:italic;
}
footer.byline img {
	padding:2px;outline:#999999 groove 1px;
}
/*  SLUT Footer  ---*/

/* Misc classes  ---*/
.right {float:right;}
.left {float:left;}
.clearfloat {clear: both;}
.block{display:block;}
.inline{display:inline;}
.background{background:#ccf;}

.shadow {
 -moz-box-shadow: 10px 10px 5px #888;
 -webkit-box-shadow: 10px 10px 5px #888;
 box-shadow: 10px 10px 5px #888;
} 
.rounded-corner-all {
 -webkit-border-radius: 10px;
 -moz-border-radius: 10px;
 border-radius: 10px;
}
.gradient1 {
 background: -webkit-gradient(linear, left top, left bottom, from(#FFD1D1), to(#FF1F1F)); 
 background: -moz-linear-gradient(top,  #FFD1D1,  #FF1F1F);
} 
.gradient2 {
 background: -webkit-gradient(linear, left top, left bottom,     color-stop(0.0, #FFD1D1), color-stop(0.60, #FF1F1F), color-stop(1.00, #FFD1D1)); 
 background: -moz-linear-gradient(top,  #FFD1D1 0%,  #FF1F1F 60%, #FFD1D1 100%);
} 
.opaque1 {background:hsla(0,50%,80%,1);} 
.opaque2 {background:hsla(0,50%,80%,0.66);} 
.opaque3 {background:hsla(0,50%,80%,0.33);} 
.opaque4 {background:hsla(0,50%,80%,0.10);} 
.rotate {
transform:rotate(30deg);
-ms-transform:rotate(30deg); /* IE 9 */
-moz-transform:rotate(30deg); /* Firefox */
-webkit-transform:rotate(30deg); /* Safari and Chrome */
-o-transform:rotate(30deg); /* Opera */
}
/* Display code in a block */
blockquote.code {font-family:monospace;
		white-space:pre;
		background:#F2F2F2;
		margin-left:0;
		margin-right:0;
		padding-left:0.5em;
		border:1px solid #999;
		overflow:auto;
		}

/* SLUT Misc classes  ---*/

/* clearer fix */
div#content {overflow:auto;}
/* SLUT clearer fix */

/* clear fix enligt boken "Stila med CSS" som
uppfunnits av Tony Aslett - www.csscreator.com */
/* lägg helt enkelt till klassen clearfix till den behållare som måste omge flytande element */
/* läs mer om hur och varför detta fungerar på http://www.positioniseverything.net/easyclearing.html */
.clearfix:after {
	content: ".";         /* punkten placeras på sidan som sista objekt innan div-elementet avslutas */
	display: block;       /* inline-element reagerar inte på egenskapen clear */ 
	height: 0;            /* ser till att punkten inte är synlig */
	clear: both;          /* får behållaren att frilägga punkten */
	visibility: hidden;	/* försäkrar ytterligare att punkten inte är synlig */
}
.clearfix {display: inline-block;}   /* en fix för IE Mac */

/* härnäst en fix för den fruktade Guillotine-buggen i IE6 */
/* Gömmer för IE-mac \*/
* html .clearfix {height: 1%;}
.clearfix {display: block;}
/* Slut på gömning för IE-mac */
/* slut på clear fix enligt boken "Stila med CSS" sidan 143 */
}
